# $Id: duneproject 5502 2009-04-03 15:05:58Z sander $

# we need the module file to be able to build via dunecontrol
EXTRA_DIST=dune.module CMakeLists.txt

DIST_SUBDIRS = dune doc m4

SUBDIRS = dune m4

if BUILD_DOCS
# TODO: set up documentation tree automatically
#SUBDIRS += doc
endif

# don't follow the full GNU-standard
# we need automake 1.5
AUTOMAKE_OPTIONS = foreign 1.5

# pass most important options when "make distcheck" is used
# dune-geometry is a dependency of dune-grid.
# dune-dune-grid is a dependency of dune-solvers
# dune-localfunctions is a dependency of dune-solvers
DISTCHECK_CONFIGURE_FLAGS = --with-dune-common=$(DUNE_COMMON_ROOT) --with-dune-geometry=$(DUNE_GEOMETRY_ROOT) --with-dune-grid=$(DUNE_GRID_ROOT) --with-dune-localfunctions=$(DUNE_LOCALFUNCTIONS_ROOT) --with-dune-istl=$(DUNE_ISTL_ROOT) --with-dune-solvers=$(DUNE_SOLVERS_ROOT) CXX="$(CXX)" CC="$(CC)"

include $(top_srcdir)/am/top-rules
include $(top_srcdir)/am/global-rules

